# Copyright 2022 Aisha Tammy <floss@bsd.ac>
# Distributed under the terms of the ISC License

EAPI=8

inherit cmake

DESCRIPTION="blazing fast wayland wallpaper utility with IPC controls."
HOMEPAGE="https://github.com/hyprwm/Hyprpaper"

inherit git-r3
EGIT_REPO_URI="https://github.com/hyprwm/hyprpaper/"

LICENSE="BSD"
SLOT="0"

DEPEND="
	virtual/pkgconfig

	dev-libs/wayland
	dev-libs/wayland-protocols
	x11-libs/cairo
	x11-libs/pango
	media-libs/libjpeg-turbo
	media-libs/libwebp
	media-libs/libjxl
	>=dev-libs/hyprlang-0.6.0
	>=gui-libs/hyprutils-0.2.4
	dev-libs/hyprgraphics
	>=dev-util/hyprwayland-scanner-0.4.0
"

